<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.query">var.query</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;user/>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">208</Property>
		<Property name="ISCurrentTime" type="Long">1750402641507</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call</Property>
		<Property name="ISModuleName">If@@@Begin</Property>
		<Property name="ISModuleId">2</Property>
		<Property name="ISProcessId">631207</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">631207</Property>
		<Property name="ISInvokingWorkflow">VAM_api_zzz_test_api</Property>
		<Property name="ISInvokingModule">VAM_zzz_api_wfc_api_call</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;request>&lt;context>void&lt;/context>&lt;method>void&lt;/method>&lt;withUser>true&lt;/withUser>&lt;/request></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.query" as="element()"/>
  &lt;xsl:template match="/*">&lt;xsl:sequence select=".">&lt;!--Ebene 1-->&lt;/xsl:sequence>&lt;xsl:if test="not(self::response)">&lt;xsl:sequence select="error((), 'Expected response(1)')"/>&lt;/xsl:if>&lt;xsl:if test="count(result) != 1 or result != 'true'">&lt;xsl:sequence select="error((), 'result(1) != true')"/>&lt;/xsl:if>&lt;xsl:if test="count(overallResult) != 1 or overallResult != 'true'">&lt;xsl:sequence select="error((), 'overallResult(1) != true')"/>&lt;/xsl:if>&lt;xsl:if test="count(responses) != 1">&lt;xsl:sequence select="error((), 'Expected responses(1)')"/>&lt;/xsl:if>&lt;xsl:if test="count(log) != 1">&lt;xsl:sequence select="error((), 'Expected log(1)')"/>&lt;/xsl:if>&lt;xsl:if test="exists(*[not(self::result | self::overallResult | self::responses | self::log)])">&lt;xsl:sequence select="error((), 'Unexpected')"/>&lt;/xsl:if>&lt;!--Log-->&lt;xsl:if test="exists(log/*[not(self::entries)])">&lt;xsl:sequence select="error((), 'Expected log/entries')"/>&lt;/xsl:if>&lt;xsl:if test="count(log/entries) != 1">&lt;xsl:sequence select="error((), 'Expected log/entries(1)')"/>&lt;/xsl:if>&lt;!--Responses-->&lt;xsl:if test="exists(responses/*[not(self::response)])">&lt;xsl:sequence select="error((), 'Expected response/response')"/>&lt;/xsl:if>&lt;xsl:variable name="var.requests" select="if($var.query/self::requests)  then $var.query/* else $var.query" as="element()*"/>&lt;xsl:if test="count(responses/response) != count($var.requests)">&lt;xsl:sequence select="error((), 'Wrong response/response count')"/>&lt;/xsl:if>&lt;xsl:for-each select="responses/response">&lt;xsl:variable select="position()" name="var.position"/>&lt;xsl:variable name="var.peer" select="$var.requests[position() = $var.position]" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="$var.peer/id != ''">&lt;xsl:if test="count(requestId) != 1 or requestId != $var.peer/id">&lt;xsl:sequence select="error((), 'Unexpected requestId(1)')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:when test="$var.peer/requestId != ''">&lt;xsl:if test="count(requestId) != 1 or requestId != $var.peer/requestId">&lt;xsl:sequence select="error((), 'Unexpected requestId(1)')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:if test="exists(requestId)">&lt;xsl:sequence select="error((), 'Unexpected requestId')"/>&lt;/xsl:if>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;xsl:if test="exists(*[not(self::result | self::body | self::requestId)])">&lt;xsl:sequence select="error((), 'Unexpected')"/>&lt;/xsl:if>&lt;xsl:if test="count(result) != 1 or result != 'true'">&lt;xsl:sequence select="error((), 'result(1) != true')"/>&lt;/xsl:if>&lt;xsl:if test="count(body) != 1">&lt;xsl:sequence select="error((), 'Expected body(1)')"/>&lt;/xsl:if>&lt;xsl:if test="$var.peer/withUser = 'true'">&lt;xsl:if test="not(exists(body/user))">&lt;xsl:sequence select="error((), 'Expected user')"/>&lt;/xsl:if>&lt;/xsl:if>&lt;/xsl:for-each>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">EDIT</Property>
</Properties>